Skip to main content
GET
Movie List

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_date
string

It specifies what date you want the results to start from

end_date
string

This indicates the end of the date range for the data you want to retrieve

page
integer

Indicates which page of results to return. Default is the first page (1).

Example:

1

Response

200 - application/json

movie list

page
number

This indicates the current page number of the results being displayed.

Example:

1

results
object[]

This is a collection of movie objects that match the criteria specified in the API request.

Example:
total_pages
number

This indicates the total number of pages available based on the current query.

Example:

68

total_results
number

This indicate the total number of results that match the query.

Example:

6708